statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2011 Aleksey Khudyakov
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.CauchyLorentz

Contents

- Constructors

Description

The Cauchy-Lorentz distribution. It's also known as Lorentz distribution or Breit–Wigner distribution.

It doesn't have mean and variance.

Synopsis

- data CauchyDistribution
- cauchyDistribMedian :: CauchyDistribution -> Double
- cauchyDistribScale :: CauchyDistribution -> Double
- cauchyDistribution :: Double -> Double -> CauchyDistribution
- standardCauchy :: CauchyDistribution

# Documentation

data CauchyDistribution Source

Cauchy-Lorentz distribution.

Instances

Eq CauchyDistribution Source |
Data CauchyDistribution Source |
Read CauchyDistribution Source |
Show CauchyDistribution Source |
Generic CauchyDistribution Source |
ToJSON CauchyDistribution Source |
FromJSON CauchyDistribution Source |
Binary CauchyDistribution Source |
ContGen CauchyDistribution Source |
Entropy CauchyDistribution Source |
MaybeEntropy CauchyDistribution Source |
ContDistr CauchyDistribution Source |
Distribution CauchyDistribution Source |
type Rep CauchyDistribution Source |

cauchyDistribMedian :: CauchyDistribution -> Double Source

Central value of Cauchy-Lorentz distribution which is its mode and median. Distribution doesn't have mean so function is named after median.

cauchyDistribScale :: CauchyDistribution -> Double Source

Scale parameter of Cauchy-Lorentz distribution. It's different from variance and specify half width at half maximum (HWHM).

# Constructors

cauchyDistribution Source

Arguments

:: Double | Central point
-> Double | Scale parameter (FWHM)
-> CauchyDistribution |

Cauchy distribution

standardCauchy :: CauchyDistribution Source